LoggingFeature (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature, class: LoggingFeature

Package org.apache.cxf.feature

# Class LoggingFeature

java.lang.Object
jakarta.xml.ws.WebServiceFeature
org.apache.cxf.feature.AbstractFeature
org.apache.cxf.feature.DelegatingFeature<LoggingFeature.Portable>
org.apache.cxf.feature.LoggingFeature

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

@Deprecated public class LoggingFeature extends DelegatingFeature<LoggingFeature.Portable>
Deprecated.
use the logging module rt/features/logging instead
This class is used to control message-on-the-wire logging. By attaching this feature to an endpoint, you can specify logging. If this feature is present, an endpoint will log input and output of ordinary and log messages.

     <![CDATA[
        <jaxws:endpoint ...>
          <jaxws:features>

          </jaxws:features>
        </jaxws:endpoint>
      ]]>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LoggingFeature.Portable`
  Deprecated.

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

  `delegate`

  ### Fields inherited from class jakarta.xml.ws.WebServiceFeature

  `enabled`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingFeature()`
  Deprecated.
  `LoggingFeature(int lim)`
  Deprecated.
  `LoggingFeature(String in, String out)`
  Deprecated.
  `LoggingFeature(String in, String out, int lim)`
  Deprecated.
  `LoggingFeature(String in, String out, int lim, boolean p)`
  Deprecated.
  `LoggingFeature(String in, String out, int lim, boolean p, boolean showBinary)`
  Deprecated.
  `LoggingFeature(Logging annotation)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLimit()`
  Deprecated.
  `boolean`
  `isPrettyLogging()`
  Deprecated.
  `void`
  `setLimit(int lim)`
  Deprecated.
  `void`
  `setPrettyLogging(boolean prettyLogging)`
  Deprecated.

  ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

  `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

  ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

  `doInitializeProvider, getActive, getID, isEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoggingFeature

    public LoggingFeature()
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(int lim)
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(String in, String out)
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(String in, String out, int lim)
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(String in, String out, int lim, boolean p)
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(String in, String out, int lim, boolean p, boolean showBinary)
    Deprecated.

  - ### LoggingFeature

    public LoggingFeature(Logging annotation)
    Deprecated.

- ## Method Details

  - ### setLimit

    public void setLimit(int lim)
    Deprecated.

  - ### getLimit

    public int getLimit()
    Deprecated.

  - ### isPrettyLogging

    public boolean isPrettyLogging()
    Deprecated.

  - ### setPrettyLogging

    public void setPrettyLogging(boolean prettyLogging)
    Deprecated.